function plotCorr(t,lagTimes,corr,plevel,thresh)
%
% function plotCorr(t,lagTimes,corr,plevel,thresh)
%
% plot time domain correlation as function of lag, and average.
%  
% t is array of times in the cycle
% lagTimes is array of lagtimes to consider (negative is advance)
% corr is the the correlation matrix to plot
% plevel is the p level at which data was pruned
% thresh is the corresponding significance threshold
%
% Author: Kees van den Doel kvdoel@cs.ubc.ca
  
  subplot(2,1,1);
  surf(lagTimes,t,corr');
  view(0,90);
  shading interp;
  colormap hot
  axis tight;
  colorbar('location','northoutside');
  xlabel 'lag'
  ylabel 'time'
  ti = sprintf('correlation (p=%6.3f, thresh.=%6.1f)',plevel,thresh);
  title(ti);
  
  subplot(2,1,2);
  plot(lagTimes,mean(corr'),'r','Linewidth',2);
  xlabel 'lag'
  ylabel 'mean correlation'
  axis tight;